com.pixelmed.network

## Class UnencapsulatedExplicitStoreFindMoveGetPresentationContextSelectionPolicy

- java.lang.Object
- - com.pixelmed.network.UnencapsulatedExplicitStoreFindMoveGetPresentationContextSelectionPolicy

All Implemented Interfaces:
  PresentationContextSelectionPolicy

    public class UnencapsulatedExplicitStoreFindMoveGetPresentationContextSelectionPolicy
    extends java.lang.Object
    implements PresentationContextSelectionPolicy

Accept only SOP Classes for storage, query or retrieval of composite instances and verification SOP Classes with uncompressed or deflated or bzip but not encapsulated compressed transfer syntaxes, also rejecting implicit VR transfer syntaxes if an explicit VR transfer syntax is offered for the same abstract syntax.

### Field Summary

Fields
`protected AbstractSyntaxSelectionPolicy` `abstractSyntaxSelectionPolicy`
`protected TransferSyntaxSelectionPolicy` `transferSyntaxSelectionPolicy`

### Constructor Summary

Constructors
Constructor and Description
`UnencapsulatedExplicitStoreFindMoveGetPresentationContextSelectionPolicy()`

### Method Summary

Methods
`java.util.LinkedList` `applyPresentationContextSelectionPolicy(java.util.LinkedList presentationContexts, int associationNumber, int debugLevel)` Accept or reject Abstract Syntaxes (SOP Classes).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### abstractSyntaxSelectionPolicy

    protected AbstractSyntaxSelectionPolicy abstractSyntaxSelectionPolicy

#### transferSyntaxSelectionPolicy

    protected TransferSyntaxSelectionPolicy transferSyntaxSelectionPolicy

### Constructor Detail

#### UnencapsulatedExplicitStoreFindMoveGetPresentationContextSelectionPolicy

    public UnencapsulatedExplicitStoreFindMoveGetPresentationContextSelectionPolicy()

### Method Detail

#### applyPresentationContextSelectionPolicy

    public java.util.LinkedList applyPresentationContextSelectionPolicy(java.util.LinkedList presentationContexts,
                                                               int associationNumber,
                                                               int debugLevel)

Accept or reject Abstract Syntaxes (SOP Classes). Only SOP Classes for storage, query or retrieval of composite instances and verification SOP Classes are accepted.

Specified by:
  `applyPresentationContextSelectionPolicy` in interface `PresentationContextSelectionPolicy`
Parameters:
  `presentationContexts` - a java.util.LinkedList of `PresentationContext` objects, each of which contains an Abstract Syntax (SOP Class UID) with one or more Transfer Syntaxes
  `associationNumber` - for debugging messages
  `debugLevel` -
Returns:
  the java.util.LinkedList of `PresentationContext` objects, as supplied but with the result/reason field set to either "acceptance" or "abstract syntax not supported (provider rejection)"